<template>
  <el-select v-model="localClassAge" placeholder="请选择类型" clearable @change="$emit('change')">
    <el-option
      v-for="item in dict.type[DictType.platform_activity_base_type]"
      :key="item.value"
      :label="item.label"
      :value="item.value"
    />
  </el-select>
</template>

<script>
import DictType from '@/utils/dict/DictType'
export default {
  name: 'SelectType',
  dicts: [DictType.platform_activity_base_type],
  model: {
    prop: 'value',
    event: 'update:value'
  },
  props: {
    value: {
      type: [String, Number],
      default: null
    }
  },
  data() {
    return {
      DictType
    }
  },
  computed: {
    localClassAge: {
      get() {
        return this.value
      },
      set(val) {
        this.$emit('update:value', val)
      }
    }
  }
}
</script>

<style scoped>

</style>
